PHPExcel_Chart

# Class: PHPExcel_Chart_Layout

Source Location: /PHPExcel/Chart/Layout.php

### Class Overview

PHPExcel_Chart_Layout

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- __construct
- getHeight
- getLayoutTarget
- getShowBubbleSize
- getShowCatName
- getShowLeaderLines
- getShowLegendKey
- getShowPercent
- getShowSerName
- getShowVal
- getWidth
- getXMode
- getXPosition
- getYMode
- getYPosition
- setHeight
- setLayoutTarget
- setShowBubbleSize
- setShowCatName
- setShowLeaderLines
- setShowLegendKey
- setShowPercent
- setShowSerName
- setShowVal
- setWidth
- setXMode
- setXPosition
- setYMode
- setYPosition

### Class Details

[line 36]
PHPExcel_Chart_Layout

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 146]

`PHPExcel_Chart_Layout __construct( [ $layout = array()])`

Create a new PHPExcel_Chart_Layout

#### Tags:

access: | public

#### Parameters:

| $layout |

[ Top ]

### method getHeight [line 270]

`number getHeight( )`

Get Height

#### Tags:

access: | public

[ Top ]

### method getLayoutTarget [line 162]

`string getLayoutTarget( )`

Get Layout Target

#### Tags:

access: | public

[ Top ]

### method getShowBubbleSize [line 384]

`boolean getShowBubbleSize( )`

Get show bubble size

#### Tags:

access: | public

[ Top ]

### method getShowCatName [line 327]

`boolean getShowCatName( )`

Get show category name

#### Tags:

access: | public

[ Top ]

### method getShowLeaderLines [line 403]

`boolean getShowLeaderLines( )`

Get show leader lines

#### Tags:

access: | public

[ Top ]

### method getShowLegendKey [line 289]

`boolean getShowLegendKey( )`

Get show legend key

#### Tags:

access: | public

[ Top ]

### method getShowPercent [line 365]

`boolean getShowPercent( )`

Get show percentage

#### Tags:

access: | public

[ Top ]

### method getShowSerName [line 346]

`boolean getShowSerName( )`

Get show data series name

#### Tags:

access: | public

[ Top ]

### method getShowVal [line 308]

`boolean getShowVal( )`

Get show value

#### Tags:

access: | public

[ Top ]

### method getWidth [line 252]

`number getWidth( )`

Get Width

#### Tags:

access: | public

[ Top ]

### method getXMode [line 180]

`string getXMode( )`

Get X-Mode

#### Tags:

access: | public

[ Top ]

### method getXPosition [line 216]

`number getXPosition( )`

Get X-Position

#### Tags:

access: | public

[ Top ]

### method getYMode [line 198]

`string getYMode( )`

Get Y-Mode

#### Tags:

access: | public

[ Top ]

### method getYPosition [line 234]

`number getYPosition( )`

Get Y-Position

#### Tags:

access: | public

[ Top ]

### method setHeight [line 279]

`void setHeight( Height $value)`

Set Height

#### Tags:

access: | public

#### Parameters:

Height | $value |

[ Top ]

### method setLayoutTarget [line 171]

`void setLayoutTarget( Layout $value)`

Set Layout Target

#### Tags:

access: | public

#### Parameters:

Layout | $value | Target $value

[ Top ]

### method setShowBubbleSize [line 394]

`void setShowBubbleSize( boolean $value)`

Set show bubble size Specifies that the bubble size should be shown in data labels.

#### Tags:

access: | public

#### Parameters:

boolean | $value | Show bubble size

[ Top ]

### method setShowCatName [line 337]

`void setShowCatName( boolean $value)`

Set show cat name Specifies that the category name should be shown in data labels.

#### Tags:

access: | public

#### Parameters:

boolean | $value | Show cat name

[ Top ]

### method setShowLeaderLines [line 413]

`void setShowLeaderLines( boolean $value)`

Set show leader lines Specifies that leader lines should be shown in data labels.

#### Tags:

access: | public

#### Parameters:

boolean | $value | Show leader lines

[ Top ]

### method setShowLegendKey [line 299]

`void setShowLegendKey( boolean $value)`

Set show legend key Specifies that legend keys should be shown in data labels.

#### Tags:

access: | public

#### Parameters:

boolean | $value | Show legend key

[ Top ]

### method setShowPercent [line 375]

`void setShowPercent( boolean $value)`

Set show percentage Specifies that the percentage should be shown in data labels.

#### Tags:

access: | public

#### Parameters:

boolean | $value | Show percentage

[ Top ]

### method setShowSerName [line 356]

`void setShowSerName( boolean $value)`

Set show ser name Specifies that the series name should be shown in data labels.

#### Tags:

access: | public

#### Parameters:

boolean | $value | Show ser name

[ Top ]

### method setShowVal [line 318]

`void setShowVal( boolean $value)`

Set show val Specifies that the value should be shown in data labels.

#### Tags:

access: | public

#### Parameters:

boolean | $value | Show val

[ Top ]

### method setWidth [line 261]

`void setWidth( Width $value)`

Set Width

#### Tags:

access: | public

#### Parameters:

Width | $value |

[ Top ]

### method setXMode [line 189]

`void setXMode( X-Mode $value)`

Set X-Mode

#### Tags:

access: | public

#### Parameters:

X-Mode | $value |

[ Top ]

### method setXPosition [line 225]

`void setXPosition( X-Position $value)`

Set X-Position

#### Tags:

access: | public

#### Parameters:

X-Position | $value |

[ Top ]

### method setYMode [line 207]

`void setYMode( Y-Mode $value)`

Set Y-Mode

#### Tags:

access: | public

#### Parameters:

Y-Mode | $value |

[ Top ]

### method setYPosition [line 243]

`void setYPosition( Y-Position $value)`

Set Y-Position

#### Tags:

access: | public

#### Parameters:

Y-Position | $value |

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:32 +0200 by phpDocumentor 1.4.4